Information Exposure

Affecting studio-42/elfinder package, versions <2.1.45

Do your applications use this vulnerable package? Test your applications

Overview

studio-42/elfinder is an open-source file manager for web, written in JavaScript using jQuery UI.

Affected versions of this package are vulnerable to Information Exposure. There is a possible leak of information if PHP's curl extension is enabled and safe_mode or open_basedir is not set.

Remediation

Upgrade studio-42/elfinder to version 2.1.45 or higher.

References

CVSS Score

7.5
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N/RL:O
Credit
Ravindra Rajaram and Hamsalekha Madiraju
CVE
CVE-2019-5884
CWE
CWE-200
Snyk ID
SNYK-PHP-STUDIO42ELFINDER-73505
Disclosed
09 Jan, 2019
Published
14 Jan, 2019